// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {
    ext.kotlin_version = '1.7.0'

    repositories {
        jcenter { "https://maven.aliyun.com/repository/public" }
        google()
        mavenCentral()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:4.2.2'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
    }
}

allprojects {
    repositories {
        flatDir {
            dirs 'libs'
        }
        jcenter { "https://maven.aliyun.com/repository/public" }
        google()
        mavenCentral()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}

ext {
    compileSdkVersion = 31
    buildToolsVersion = "29.0.2"
    supportSdkVersion = "26.1.0"
    minSdkVersion = 21
    targetSdkVersion = 31
    versionCode = 1
    versionName = "v1.0"
    liteavSdk = "com.tencent.liteav:LiteAVSDK_Player:latest.release"
}
